> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmembrane.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create record in data collection



## OpenAPI

````yaml /api-reference/membrane-api.json post /connections/{id}/data/{dataCollectionKey}/create
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /connections/{id}/data/{dataCollectionKey}/create:
    post:
      tags:
        - DataCollections
      summary: Create record in data collection
      operationId: createDataCollectionRecord
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: dataCollectionKey
          required: true
          in: path
          schema:
            type: string
        - name: collectionParams
          required: false
          in: query
          description: Data Collection parameters
          style: form
          explode: true
          schema:
            type: object
            additionalProperties:
              type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DataCollectionCreateRequestDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataCollectionCreateResponseDto'
components:
  schemas:
    DataCollectionCreateRequestDto:
      type: object
      properties:
        parameters:
          type: object
          additionalProperties:
            type: object
        fields:
          type: object
          additionalProperties:
            type: object
      required:
        - fields
    DataCollectionCreateResponseDto:
      type: object
      properties:
        id:
          type: string
      required:
        - id
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````